#include "stdafx.h"

using namespace std;

//**************************************************************************
//*
//* getIniString
//* iniǂݍ
//*
//**************************************************************************
const string getIniString(const char* const pAppname, const char* const pKeyname,
						const char* const pDefault)
{
	char buf[128];
	int length = GetPrivateProfileString(pAppname, pKeyname, pDefault, buf, sizeof buf, INI_FILE);
	return string(buf, buf + length);
}

//**************************************************************************
//*
//* saveIniString
//* iniۑ
//*
//**************************************************************************
bool saveIniString(const char* const pAppname, const char* const pKeyname, const string &str)
{
	return WritePrivateProfileString(pAppname, pKeyname, str.c_str(), INI_FILE) == TRUE;
}
